 def starttls(self, keyfile=..., certfile=...): ...
    def sendmail(self, from_addr, to_addrs, msg, mail_options=..., rcpt_options=...): ...
    def close(self): ...
    def quit(self): ...

class SMTP_SSL(SMTP):
    default_port: Any
    keyfile: Any
    certfile: Any
    def __init__(self, host=..., port=..., local_hostname=..., keyfile=..., certfile=..., timeout=...) -> None: ...

class LMTP(SMTP):
    ehlo_msg: Any
    def __init__(self, host=..., port=..., local_hostname=...) -> None: ...
    sock: Any
    def connect(self, host=..., port=...): ...
PK